0

Unsure how I can remedy this situation. Could this be because I need to update the PHP? Here is the error report I am getting. By the way, how would I read this report so I understand what its asking me to change/fix?

Report:

a:4:{i:0;s:78:"The PDO extension is required for this adapter but the extension is not loaded";i:1;s:2522:"#0 /home/rstern123/public_html/lib/Zend/Db/Adapter/Abstract.php(248): Zend_Db_Adapter_Pdo_Abstract->setFetchMode(2)
#1 /home/rstern123/public_html/app/code/core/Mage/Core/Model/Resource.php(165): Zend_Db_Adapter_Abstract->__construct(Array)
#2 /home/rstern123/public_html/app/code/core/Mage/Core/Model/Resource.php(110): Mage_Core_Model_Resource->_newConnection('pdo_mysql', Object(Mage_Core_Model_Config_Element))
#3 /home/rstern123/public_html/app/code/core/Mage/Core/Model/Resource/Db/Abstract.php(320): Mage_Core_Model_Resource->getConnection('core_write')
#4 /home/rstern123/public_html/app/code/core/Mage/Core/Model/Resource/Db/Abstract.php(350): Mage_Core_Model_Resource_Db_Abstract->_getConnection('write')
#5 /home/rstern123/public_html/app/code/core/Mage/Core/Model/Resource/Db/Abstract.php(335): Mage_Core_Model_Resource_Db_Abstract->_getWriteAdapter()
#6 /home/rstern123/public_html/app/code/core/Mage/Core/Model/Resource/Db/Abstract.php(360): Mage_Core_Model_Resource_Db_Abstract->_getReadAdapter()
#7 /home/rstern123/public_html/app/code/core/Mage/Core/Model/Resource/Db/Collection/Abstract.php(134): Mage_Core_Model_Resource_Db_Abstract->getReadConnection()
#8 /home/rstern123/public_html/app/code/core/Mage/Core/Model/Config.php(1348): Mage_Core_Model_Resource_Db_Collection_Abstract->__construct(Object(Mage_Core_Model_Resource_Website))
#9 /home/rstern123/public_html/app/code/core/Mage/Core/Model/Config.php(1380): Mage_Core_Model_Config->getModelInstance('core_resource/w...', Object(Mage_Core_Model_Resource_Website))
#10 /home/rstern123/public_html/app/Mage.php(491): Mage_Core_Model_Config->getResourceModelInstance('core/website_co...', Object(Mage_Core_Model_Resource_Website))
#11 /home/rstern123/public_html/app/code/core/Mage/Core/Model/Abstract.php(208): Mage::getResourceModel('core/website_co...', Object(Mage_Core_Model_Resource_Website))
#12 /home/rstern123/public_html/app/code/core/Mage/Core/Model/Abstract.php(213): Mage_Core_Model_Abstract->getResourceCollection()
#13 /home/rstern123/public_html/app/code/core/Mage/Core/Model/App.php(608): Mage_Core_Model_Abstract->getCollection()
#14 /home/rstern123/public_html/app/code/core/Mage/Core/Model/App.php(466): Mage_Core_Model_App->_initStores()
#15 /home/rstern123/public_html/app/code/core/Mage/Core/Model/App.php(349): Mage_Core_Model_App->_initCurrentStore('', 'store')
#16 /home/rstern123/public_html/app/Mage.php(684): Mage_Core_Model_App->run(Array)
#17 /home/rstern123/public_html/index.php(87): Mage::run('', 'store')
#18 {main}";s:3:"url";s:1:"/";s:11:"script_name";s:10:"/index.php";}
  • have u configure the VPS from scratch or it has a control panel like plesk? – Antonio Pedicini Jan 3 '15 at 21:13
  • Server has cpanel – Homero Miranda Jan 4 '15 at 20:19
1

It looks like you don't have PDO_MySQL extension loaded. You can check your PHP version if you type php -v in console. To list all loaded module type php -m. You can also look for specific module like this: php -m | grep pdo

See here: System Requirements for Magento Enterprise Edition 1.14.1 and Community Edition 1.9.1 and here: System Requirements Prior to EE 1.14.1 and CE 1.9.1 for complete list of requirements and supported technologies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.